--
-- file prepared:  2025 22:48:04.847, using fd659b
--
self_ID = "ouragan"
declare_plugin(self_ID,
{
	displayName = _("ouragan"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("ouragan"),

	version = " ",
	state = "installed",
	info = _("The Dassault M.D.450 Ouragan (French: Hurricane) is a French fighter-bomber developed and produced by Dassault Aviation. It has its origins in a private venture by Dassault to produce an all-French aircraft which would make use of jet propulsion, which subsequently would receive orders from the French Air Force.  The Ouragan holds the distinction of being the first jet-powered French-designed combat aircraft to enter production, and thus played a key role in the resurgence of the French aviation industry following the Second World War. The Ouragan was operated by France, India, Israel and El Salvador. While in Israeli service, the type participated in both the Suez Crisis and the Six-Day War.  (source: https://en.wikipedia.org/wiki/Dassault_Ouragan)   "),

	update_id = "ouragan",

	Skins =
	{
		{
			name = _("ouragan"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("ouragan"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("ouragan"),
			type = "ouragan",
		},
	},
	InputProfiles =
	{
		["ouragan"] = current_mod_path .. '/Input/ouragan',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('ouragan', ViewSettings, SnapViews)
make_flyable('ouragan', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/ouragan.lua')
------------------------------------------------------------------------------------ -
plugin_done()

